Get Webhooks for a Subscription
curl --request GET \
--url https://api.hel.io/v1/webhook/paylink/subscription \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hel.io/v1/webhook/paylink/subscription"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hel.io/v1/webhook/paylink/subscription', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "679cb0a5eafd565eeab89605",
"paylink": "679bb9db7f3c16eb86bb1c67",
"company": "6683f4efc330474ede1f25aa",
"targetUrl": "https://target-url.com/post-endpoint",
"events": [
"STARTED",
"RENEWED",
"ENDED"
],
"sharedToken": "ZtiSEjZsTNoczv8kvDgtSx5+YO017NOlM/mrqEMj2nnHXi+UfmCQvuqvZlI0eH3JJWrW1D3UDWM+GgK9sVfR0NNPIMwWNV+jcFehjDIMlVq05Ahf2/5tUT/W7qqiHWZy"
}{
"message": "Api key or token is invalid",
"code": 401
}Subscriptions
Get Webhooks for a Subscription
Retrieve all webhooks configured on a subscription Pay Link.
GET
/
v1
/
webhook
/
paylink
/
subscription
Get Webhooks for a Subscription
NOTE: When using Helio on mainnet, set your Base URL to https://api.hel.io and generate your API keys from moonpay.hel.io . For testnet, use https://api.dev.hel.io and generate your API keys from moonpay.dev.hel.io.
Authorizations
Authentication using JWT token
Query Parameters
The ID of the pay link used to retrieve associated subscription webhooks.
Your API key can be generated on the Helio Dashboard’s settings page.
